Use this API to list all of the Privileges created in an account.
Required Feature
A OneLogin subscription that includes Delegated Administration is required to use the privileges API.
Resource URL
POST https://<subdomain>.onelogin.com/api/1/privileges/:id/usersHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API must be called using the |
Content-Type required string | Set to application/json. |
Resource Parameter
id required string | Set to the |
Request Parameters
users required array | Array of user_ids to which the privilege will be assigned |
Sample Request Body
Add the following users to the privilege.{
"users": [123, 456, 789]
}Sample Response
- 200 OK
- 400 Bad Request
- 401 Unauthorized
{
"success": true
}Check request body and content-type is set to application/json.
{
"statusCode": 400,
"name": "BadRequestError",
"message": "The request could not be understood by the server due to malformed syntax"
}Typically, this error means that your access token value is invalid.
{
"statusCode": 401,
"name": "UnauthorizedError",
"message": "The request requires user authentication."
}Sample Code
cURL
curl 'https://<subdomain>.onelogin.com/api/1/privileges/<privilege_id>/users' \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <access_token>" \
-d '{"users": [123, 456, 789]}'Postman Collection
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.